{
  "criteria": {
    "press-lift-button": {
      "trigger": "minecraft:item_used_on_block",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:entity_properties",
            "entity": "this",
            "predicate": {
              "location": {
                "dimension": "minecraft:the_nether"
              }
            }
          }
        ],
        "location": {
          "block": {
            "blocks": [
              "minecraft:polished_blackstone_button"
            ]
          }
        }
      }
    }
  },
  "rewards": {
    "function": "nitco:recurs/lift"
  }
}